# SNESType

String with the name of a PETSc SNES method or the creation function with an optional dynamic library name, for example http://www.mcs.anl.gov/petsc/lib.a:mysnescreate()

### Synopsis

    #define SNESType const char*
    #define SNESLS          "ls"
    #define SNESTR          "tr"
    #define SNESTEST        "test"

    /* Logging support */
    extern PetscCookie PETSCSNES_DLLEXPORT SNES_COOKIE;

### See Also

SNESSetType(), SNES

Level:beginner
Location: src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages